require 'pry'
require 'json'

FINAL_SELECTED = 
["00a1bb4ae6871fa66b952336d3355a8a",
 "0236c26f9fa3ba62bf6322be76607c06",
 "025576ebc1a867e59c3487518335da83",
 "03111f8eb73eb7128dc9a5f572ea82c7",
 "035016fa77510139648563c6c815afcd",
 "0360e8fc7c34cd69ed7d09f323fdac6b",
 "037ac45f395f1153c570570717696a8c",
 "04b1d91a37978775162ca33dbd96bf39",
 "0711763af1dfa454dfda5f2268b40c41",
 "07984aa586770fd77969055699c32be7",
 "07a790c14cce3045be16382576019fc7",
 "099e7072cce8e5ec37d61b35917a823b",
 "09ac4108b021ba8373ee4039c2caa4c9",
 "0a1083f4b95fed1bd92a4ccffb69703a",
 "0af0ecd6ca1e413567cdeda842bdd0d2",
 "0dff4ee75234671edc4cbfedb15fe4b1",
 "0e8eab7c33dd160d450622e23edf6e77",
 "0ed147d8a04ee32a3e8fa764ee51c2d5",
 "0f3deebc5adac441290f5a0de770d564",
 "0fed0345c9db0db8b9c0013b2aca122b",
 "10e7563ed14c8d15cfde968aad0dbe36",
 "10ff090a821e9932b371c565ede4ce67",
 "10ffa706da298c7d7b04e501ddfe1f49",
 "13ea1234f810bbe5bb39e022579d05fd",
 "14715ca04241987d58b13b4ea26a8f92",
 "15f9844adefda870c923f72e28d989d5",
 "1719ec81facda220706b3a3f0bc22923",
 "171aefa7f3d0bcec9237d8b104df5c25",
 "173a5f4d965ff38fb2914325c07321a6",
 "18508c42ce98a42d8c1a298e009d1929",
 "1893b88d5b9bf38fb8cd676f6c8e70d1",
 "1923e356bcb5c6da2f2477c0650dce2e",
 "1a0e78fab5bed98706d1ce2518287562",
 "1abb1a5238b2eadf45d24963b73d0d50",
 "1c087401951379b9c8fc1fae37922983",
 "1f2c66eb25e4187a802e672d52541f78",
 "203c18c8e2bf40a24a45d128f78c86f6",
 "20e96060bbda6ca5ac5bca2de79af087",
 "211d285e8061432475997e0ce23eaf08",
 "224b6aea6c8a6b7e0172078b34751ad9",
 "227b765fbe0588a2747db79858b7299d",
 "22b7ef263e5545355e31d9d5dd096210",
 "23a561b9569533f92289e004c356bb0c",
 "27a7401e8d2212dfaca5cedf5e2367c6",
 "27b7f858301c2e649ab5dfe1e137c659",
 "27c36a75ab949421383c42b92617e154",
 "283e70bb84dd455955ade780e44cf7d6",
 "2a828e0ad4eb8774468b34c1fa0fdc64",
 "2b1cb1eba23d0b0cf16211516f16d5ac",
 "2b84795da87d29c44574722d03b1098e",
 "2c588cacd84d80563e1911e63638509c",
 "2c7baed873293bf7c3f697bdffc65c27",
 "2dcd3bfbafdb8b7d7989a79e24596880",
 "2e7988380e3b2447bc8502c013c95912",
"30f913a8294ace73295c825e9c332592",
 "33c811835b438e8e8212722ea180ea30",
 "355642c0ab5245b51a26c45e96f813c8",
 "358b209f6faa7a0c68600f14b8753c8b",
 "3815dea5c509a81f8da205fd2981e4cc",
 "3ae7ab656b11d34e4813cc7a73182e17",
 "3b0a6aa703bcf10d9448f77f3aeda974",
 "3b98382d3a0bdcf0b3bf1de20799f716",
 "3deff3cb8a77a35b4550a5e8ceb90337",
 "3f2a4edecba2a69d85113c17c77a6a0f",
 "410ac6a910e971e148ba756308699efa",
 "41b6b852998f1296123cbb21462c4176",
 "4267787af1ca4ff975f5636ca56986ef",
 "439bcd54ac6f6f8da9af5efceb608144",
 "43daaba93a35e9b26cbfda04359ff4ae",
 "464d930eb4fa63887550f115c172d469",
 "47a9dd006bb9de019d38297976f1f408",
 "48e2e1b75ef8fa7e8295bf2ee95d841b",
 "49303df9fb392dc3d9dc0afe88b7929f",
 "4b13c467c35cf8eb6adf8da97d539559",
 "4c5b365ed2a28d3901e34b7bd098a0cc",
 "4d500935e5944bfdeb8c7ffb43022d70",
 "4e19b6abb83bdce1adb94c48948ecf00",
 "503a01a7fec4704018d3ae6ce584d531",
 "506dc49fc9a7498da1f5f011c20e84a7",
 "51eacce9f623729748b11d7ae562aaf1",
 "53731d688447018183a56a04a69caf1b",
 "541bfcfd39869d17e16e5a534f13aec5",
 "56841284b70c6dcae7248e99eb995813",
 "5a1478f7036ade845d6eb4617cac1c46",
 "5a81e6aa6e5d6802880cfe736ae874d4",
 "5ab6da8754ea25bf7d5797dfed7d69b3",
 "5b8e4eda18f91a25624a65393626b8ea",
 "5ba2119266bab4ebb8a944e36c0930bc",
 "5beaa6cf130978b623b61f70d1220049",
 "5c1285b166ee1f4117e29bcf4422623f",
 "5c29863f5365657731e27c41afeaf4a4",
 "5c54d5ae4ccbfa5735624a1b32808056",
 "5c6737a1096ec139de3ba4b08b901b42",
 "5ca4e430a3f0c945f363f4720b61c8d7",
 "5ceb6671e9d063fd2a0cbd95d9799696",
 "5da682fa9d7beff6d445dd7cbe648de9",
 "5ea74453d0bb1de2983fb4ddb982ce40",
 "5ef57ebd551cf98ce5a10300132af7a1",
 "60c71972247221a330ccf5cce2b1014e",
 "6126c8f66f706170cdc557adc01bc2af",
 "619c588eb6def823e5203748e00bdb48",
 "6264b17c1294239b09e72f5d691f2e33",
 "637526d440a116731234dc1314b01b6c",
 "63c08d4669359cb1d59e8b9212e13650",
 "641d6ae91378e7f73c219e4aaa35f4b6",
 "647a46317441a588c24f2e9807b446d1",
 "65ed887a5a5d726c495e91c388ae4516",
 "6679ef923f7bee5147c04de059e0a344",
"670bf210b1dfe76f11b12d332300d496",
 "6740d6a8623f2f3608cca5e3746eb911",
 "67c78c498ad7b5268d8353977e424c56",
 "68ff82969a1c286ab6d2a32d37b28c82",
 "69a795f4dd653586d915abf175e77e1c",
 "6ad352f11a5ab132c8a7d88867a1bdca",
 "6b14824b5f35adafabc1bdc1db1880e7",
 "6b3fa3b0ccc949540d3bd37807690fdf",
 "6e0e2a4fb7c4612fb075008858e79dcf",
 "6facef5eb550f75425bca1be0456d7c5",
 "6fb6e5817494308cfc1e8c038a0b865e",
 "728f76e9c0e4e92129f1e1209fa0597c",
 "769a3dacd7be2bb4670ad3a760bb3dae",
 "77525ba6d4aac4d8f349464217efef2f",
 "7780d2ca16d80d45b500adf00c7fb486",
 "77a73f534c3ef4aad8aad5eb3e787802",
 "790c34ac4421265cc5b0457d4573eeff",
 "7a798db0e9f6b90ac2a5adef7ef2446a",
 "7bcc29fe1ac26119f225721f1dceeb65",
 "7db9c56fab6ca415b2c33fcb702a6f83",
 "7faec26db8609c9c3b0a90127bfdea28",
 "7fba5884a7c775b1187f5b1a5296699a",
 "8001da4e7635dc5d3f66d092e367bd67",
 "84f8d9051891c79322595d435a4b068f",
 "88f5d53432a154c3a10a8b0791f474ed",
 "8980fd50828fe2417ff172bf4980c25f",
 "89f58e84a18b83f7a9c0df972abe92e8",
 "8aacc561e48a5ddf4a4857434d5bbe96",
 "8b3c593755fc6d68af7f653ceec1a714",
 "8da64df4c7069da015062f5b505f290c",
 "9054ef1240112015ee36372f95690894",
 "90fd3d910a4679c2c86cf29479630e89",
 "919d2676fc6ee278f504a98ccd04005e",
 "93e43d2855957361c1f6b6856eebf4c1",
 "93eed2747a6f4dc1c772927bc6d7b665",
 "945b751577f99be68d664974fb7c8b12",
 "9474a8311afb504ab550fee0e7009049",
 "952c58a78cb2189ba41b1e2f556bdac3",
 "95f0e1778625299955389c52b8106bdb",
 "99bd199e6ae9e5a33d23d74d05a898df",
 "9a0b30d5fa7cc96514c355eb1e9b1338",
 "9a9ae4408e3643d485aa3c747ec53727",
 "9dc33deb994ff24a12743c4f264f5b2f",
 "9f3ed55ef8b6fd74938ac87daa7f177f",
 "9fc154b77b94fcc1f4d8922c951b66b1",
 "a0728670775472d6a8bf5d5efedce699",
 "a0ddcf547bc39903192f44ffcaa589d6",
 "a1193e23eae32980d4b36d7e9e4c007c",
 "a3ec64e09cf835d5b081fa7f859c9dd5",
 "a53df8b3399daf93fa3b462597ebae19",
 "a5e8db3f320eb7d91cf904cebbf3bc7e",
 "a7007738c20b110cb7e15b71fbb0818e",
 "a7d228ed80f05224e299a1a54527e3a9",
 "acddb16aaa15c5dd0e0386dafce226e1",
 "ad1d931c8602c5cb26664c75fc56c6d3",
 "ad6cdbf92be653ceb90ba51c0a4b67d2",
 "b05343d9ff28a51f2a09e936e061c4ad",
 "b057663de02d63762e6d68b265f3209f",
 "b0d16bc276d076df5f962f12be99aad0",
 "b16c185862b3b6f79799e60652be66f4",
 "b1f6e7ad751a634090a2605230238ef8",
 "b3b1277c800fc082a846061f85a51de0",
 "b55d156fb5674576d8a4acce3c702e30",
 "b6769b8ec48473ce7be3dd82714fc4b7",
 "b83587a1929ba77310a77cdf9e8716fa",
 "b9640a7f274bdbb6281bcd0d71cebd59",
 "b9ee3fd6e8fa6c9f90000b895febcb6e",
 "bb0c32159636f4df1510ea3e32a6741f",
 "bb0cde4e3b73b6ca9e050c04e42ad938",
 "bb43cdb32546ed90cf4d3be68763da24",
 "bb7e3daa8046d1de8ace52941ff0016f",
 "bd450f5089c14ab42265aa36b9229069",
 "bfaa1989641ecac19348db7afc808677",
 "c032e5f00709e2ba67c09016a8c0d105",
 "c07ec4e1348c528250305da48dc126ee",
 "c0f65677bb131f5f7b60879a8e573e48",
 "c2fa22121042487ca5e44246895641a9",
 "c4d25e3296d63a7300f637417a8741b7",
 "c5acd1837abb51ee257d9e00350901a6",
 "c609edb4c7284bffa00cf147ac3a0251",
 "c6f522107f40b2456183b1022e9fda7e",
 "c7481b79205e89d3e0ea5b0d35d5d46d",
 "c7cc72e58c24055ff2464d2075edeecd",
 "ca57a9b9fd10d379840fc87c97965c7e",
 "ca74ce6867b27234343b90cb8606221f",
 "cc7eb02e79ecfb363349d369e346e5fb",
 "cd15defa038b413780c40cc3a2e3f53e",
 "cd5a3af912d1965a2ff981264b8b7cb8",
 "cf1c734b2d870866b4b2c3c2cb013d0e",
 "cf55327767a850aa6784298b522e208a",
 "cfae7038c2ad22b23caa4e310c1f8a62",
 "d16e5c0bcb9b349a3b9ff7b167c1e0af",
 "d1fc8b0f94e464ceab8bbce0d9edca57",
 "d378e55e241a668afd16de9c12b5a8d2",
 "d5d71b59fcaccff3ba3c57b1800f33c5",
 "d6a77f29b327236a4a2a3c8ae0de299d",
 "d8b850626fb4ebeb5981624e4ae7b5ea",
 "d91578d9f1991e60dabdb3bfd0d07c6f",
 "d95619fa7475b5f061578e58f6c72b28",
 "d9effbe2ff96a2cf03cafa6ab67c61c2",
 "db2243504dbc4470bef314268944d498",
 "dbfb7dbb6e1c19dfae81f01d59b9e874",
 "ddb95d1f301e9961c8f58f22cb939782",
 "dde562b949907f0138f49ad7512c778e",
 "ded8d74e707602165f6a488d1e17d077",
 "dfba047a692d60bdc87c996ce3409adc",
 "e0e507e1c3105907171c550f72a7f981",
 "e177402a0cc1ce4e259306f85e425782",
"e22aa3da08f2255bb98e1b83bba9889e",
 "e3ab021aaef96fae53e3fbb1882acc42",
 "e3b0b1f0fd79748b17f9d3aaa5854207",
 "e4409e8cdfea7caff256751a747041c4",
 "e6acad35cacc35185493b61b3d231b89",
 "e78f5aed8e1cfeb1c0a090257a626f82",
 "e94db249a59ad23c4ab66c8abffe661b",
 "e9c4dfa3516a2c4dd395dd63c622e9b8",
 "eea0e0da23b8a777c717e8178baa25c0",
 "f3763f594083b1d09739a703a4d6f57c",
 "f3c8698ebbc070ef88d1de6884aa8240",
 "f4461ff85cb4c165a661194b7c8a59cf",
 "f525669f61158441fc46334b658c79f4",
 "f70be68eff8e4efa15410d10710322fd",
 "f71f3f1b9e2b7dfbc166b3d8eeea74a2",
 "f732f39f8e2be2d28a683b0cfaec13c6",
 "f7d3c8cec92eb4ea3e10b5c8ef64e12e",
 "f8a3e7efe49d37ae5b4ee0e9328aaa41",
 "fb6b6e9f83e73cc1abf48b099ce902bb",
 "fe426aa1dc519528ee47037671dfd01a",
 "fe81e9cfcb01316c44bb083d52bc60dc"]

#def media filename
#  f = File.open(filename, "r")
#
#  lines = []
#  f.each_line do |l|
#    lines << JSON.parse(l)
#  end
#
#  values = lines.map{|a| a["Content-Length"].to_i}
#  total = values.inject(:+)
#  count = lines.count.to_f
#  puts "Total: " + total.to_s
#  puts "Count: " + count.round(2).to_s
#  puts "Mean: " + (total / count ).round(2).to_s
#  puts "Stdev: " + values.stdev.round(2).to_s
#  puts "Var: " + values.var.round(2).to_s
#  puts "Stdev Pop: " + values.stdevp.round(2).to_s
#end

def escolhe filename
  f = File.open(filename, "r")

  lines = []
  f.each_line do |l|
    j = JSON.parse(l)
    lines << l if j["Content-Length"].to_i.between?(100000, 1000000)
    break if lines.count == 500
  end

  f = File.open("selected", "w")
  f << lines.join
  f.close
end

def recupera_escolhidos input, output
  sel = File.open("selected", "r")
  out = File.open(input, "r")

  pages = {}
  out.each_line do |l|
    j = JSON.parse(l)
    pages[j["WARC-Target-URI"]] = l
  end

  f = File.open(output, "w")
  sel.each_line do |l|
    j = JSON.parse(l)
    unless pages[j["WARC-Target-URI"]].nil?
      puts j["md5"]
      if FINAL_SELECTED.include? j["md5"]
        f << l 
      end 
    end
  end
end

def verifica_comuns files
  data = Hash.new{|h,k|  h[k] = []}
  files.each do |f|
    File.open(f, "r").each_line do |l|
      data[l] << f
    end 
  end
  binding.pry
end

#escolhe ARGV.first
recupera_escolhidos ARGV.first, ARGV.last
#verifica_comuns ARGV
